[libav-devel] [PATCH] x264: Support version 155

Luca Barbato lu_zero at gentoo.org
Tue Dec 26 22:57:53 CET 2017


On 26/12/2017 22:34, James Almer wrote:
> On 12/26/2017 11:39 AM, Luca Barbato wrote:
>> On 26/12/2017 13:54, James Almer wrote:
>>> You can still build libx264 with support for only 8 and 10 bits after
>>> this multibitdepth change, so ideally you'd still check for what's
>>> available based on X264_BIT_DEPTH and use the new enum array if it's 0.
>>>
>>> I have a patch doing this but was waiting for some feedback elsewhere
>>> before sending it.
>>
>> I decided to not go that way so if somebody changes the 8-only library
>> with the 10-only library or the hydra he wouldn't have to rebuild Libav.
>>
>> Asking for an unsupported pixel format gets you an error message anyway.
>>
>> ./avconv -filter_complex testsrc -pix_fmt yuv422p10 -c:v libx264
>> /tmp/out.mkv
>> avconv version v13_dev0-1426-g8436a9e03f, Copyright (c) 2000-2017 the
>> Libav developers
>>    built on Dec 26 2017 15:37:04 with Apple LLVM version 9.0.0
>> (clang-900.0.39.2)
>> File '/tmp/out.mkv' already exists. Overwrite ? [y/N] y
>> Stream mapping:
>>    (null) -> Stream #0:0 (libx264)
>> Press ctrl-c to stop encoding
>> x264 [error]: not compiled with 10 bit depth support
>>
>> lu
> 
> Alright. Just change the X264_BUILD to 153 (the version where this was
> introduced) instead of 155 and it should be good.

Updated locally, thank you!

lu



More information about the libav-devel mailing list